Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pcl
Class PCLDocumentHandler

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandler
          org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
              org.apache.fop.render.pcl.PCLDocumentHandler

All Implemented Interfaces:
  IFDocumentHandler

    public class PCLDocumentHandler

extends AbstractBinaryWritingIFDocumentHandler

`IFDocumentHandler` implementation that produces PCL 5.

Field Summary
`static java.lang.Object` | `COLOR_CANVAS` Enables/Disables a color canvas for bitmap production (required for SVG, for example)
`static java.lang.Object` | `DISABLE_CLIPPING` Disable clipping
`protected PCLRenderingUtil` | `pclUtil` Utility class for handling all sorts of peripheral tasks around PCL generation.
`static org.apache.xmlgraphics.util.QName` | `SRC_TRANSPARENCY` Source transparency mode

Fields inherited from class org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
`fontInfo, outputStream`

Constructor Summary
`PCLDocumentHandler()` Default constructor.

Method Summary
`void` | `endDocument()` Indicates the end of a document.
`void` | `endDocumentHeader()` Indicates the end of the document header.
`void` | `endPage()` Indicates the end of a page
`void` | `endPageContent()` Indicates the end of the page content.
`void` | `endPageSequence()` Indicates the end of a page sequence.
`IFDocumentHandlerConfigurator` | `getConfigurator()` Returns the configurator for this document handler, if any.
`java.lang.String` | `getMimeType()` Returns the MIME type of the output format that is generated by this implementation.
`protected int` | `getResolution()`
`void` | `handleExtensionObject(java.lang.Object extension)` Handles an extension object.
`void` | `setContext(IFContext context)` Sets the intermediate format context object.
`void` | `setDefaultFontInfo(FontInfo fontInfo)` Sets the default font set (with no custom configuration).
`void` | `startDocument()` Indicates the start of a document.
`void` | `startPage(int index, java.lang.String name, java.lang.String pageMasterName, java.awt.Dimension size)` Indicates the start of a new page.
`IFPainter` | `startPageContent()` Indicates the start of the page content.
`void` | `startPageSequence(java.lang.String id)` Indicates the start of a new page sequence.
`boolean` | `supportsPagesOutOfOrder()` Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

Methods inherited from class org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
`getFontInfo, setFontInfo, setResult`

Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandler
`endDocumentTrailer, endPageHeader, endPageTrailer, getContext, getDocumentNavigationHandler, getStructureTreeEventHandler, getUserAgent, setDocumentLocale, startDocumentHeader, startDocumentTrailer, startPageHeader, startPageTrailer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pclUtil

    protected PCLRenderingUtil pclUtil

  Utility class for handling all sorts of peripheral tasks around PCL generation.

### SRC_TRANSPARENCY

    public static final org.apache.xmlgraphics.util.QName SRC_TRANSPARENCY

  Source transparency mode

### DISABLE_CLIPPING

    public static final java.lang.Object DISABLE_CLIPPING

  Disable clipping

### COLOR_CANVAS

    public static final java.lang.Object COLOR_CANVAS

  Enables/Disables a color canvas for bitmap production (required for SVG, for example)

Constructor Detail

### PCLDocumentHandler

    public PCLDocumentHandler()

  Default constructor.

Method Detail

### supportsPagesOutOfOrder

    public boolean supportsPagesOutOfOrder()

  Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

  Specified by:
    `supportsPagesOutOfOrder` in interface `IFDocumentHandler`
  Returns:
    true if out-of-order handling is supported

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type of the output format that is generated by this implementation.

  Specified by:
    `getMimeType` in interface `IFDocumentHandler`
  Returns:
    the MIME type

### setContext

    public void setContext(IFContext context)

  Sets the intermediate format context object.

  Specified by:
    `setContext` in interface `IFDocumentHandler`
  Overrides:
    `setContext` in class `AbstractIFDocumentHandler`
  Parameters:
    `context` - the context object

### getConfigurator

    public IFDocumentHandlerConfigurator getConfigurator()

  Returns the configurator for this document handler, if any.

  Specified by:
    `getConfigurator` in interface `IFDocumentHandler`
  Returns:
    the configurator or null if there's no configurator

### setDefaultFontInfo

    public void setDefaultFontInfo(FontInfo fontInfo)

  Sets the default font set (with no custom configuration).

  Specified by:
    `setDefaultFontInfo` in interface `IFDocumentHandler`
  Overrides:
    `setDefaultFontInfo` in class `AbstractBinaryWritingIFDocumentHandler`
  Parameters:
    `fontInfo` - the font info object to populate

### getResolution

    protected int getResolution()

  Returns:
    the target resolution

### startDocument

    public void startDocument()
                       throws IFException

  Indicates the start of a document. This method may only be called once before any other event method.

  Specified by:
    `startDocument` in interface `IFDocumentHandler`
  Overrides:
    `startDocument` in class `AbstractBinaryWritingIFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endDocumentHeader

    public void endDocumentHeader()
                           throws IFException

  Indicates the end of the document header. This method is called before the first page sequence.

  Specified by:
    `endDocumentHeader` in interface `IFDocumentHandler`
  Overrides:
    `endDocumentHeader` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endDocument

    public void endDocument()
                     throws IFException

  Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.

  Specified by:
    `endDocument` in interface `IFDocumentHandler`
  Overrides:
    `endDocument` in class `AbstractBinaryWritingIFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageSequence

    public void startPageSequence(java.lang.String id)
                           throws IFException

  Indicates the start of a new page sequence.

  Specified by:
    `startPageSequence` in interface `IFDocumentHandler`
  Parameters:
    `id` - the page sequence's identifier (or null if none is available)
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageSequence

    public void endPageSequence()
                         throws IFException

  Indicates the end of a page sequence.

  Specified by:
    `endPageSequence` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startPage

    public void startPage(int index,
                          java.lang.String name,
                          java.lang.String pageMasterName,
                          java.awt.Dimension size)
                   throws IFException

  Indicates the start of a new page.

  Specified by:
    `startPage` in interface `IFDocumentHandler`
  Parameters:
    `index` - the index of the page (0-based)
    `name` - the page name (usually the formatted page number)
    `pageMasterName` - the name of the simple-page-master that generated this page
    `size` - the size of the page (equivalent to the MediaBox in PDF)
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageContent

    public IFPainter startPageContent()
                               throws IFException

  Indicates the start of the page content. The method returns an `IFPainter` interface which is used to paint the page contents.

  Specified by:
    `startPageContent` in interface `IFDocumentHandler`
  Returns:
    the IFPainter for the page content
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageContent

    public void endPageContent()
                        throws IFException

  Indicates the end of the page content. Calls to the `IFPainter` returned by the respective `IFDocumentHandler.startPageContent()` method are illegal.

  Specified by:
    `endPageContent` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endPage

    public void endPage()
                 throws IFException

  Indicates the end of a page

  Specified by:
    `endPage` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### handleExtensionObject

    public void handleExtensionObject(java.lang.Object extension)
                               throws IFException

  Handles an extension object. This can be a DOM document or any arbitrary object. If an implementation doesn't know how to handle a particular extension it is simply ignored.

  Specified by:
    `handleExtensionObject` in interface `IFDocumentHandler`
  Parameters:
    `extension` - the extension object
  Throws:
    `IFException` - if an error occurs while handling this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.